#@title Default title text
# -*- coding: utf-8 -*-
"""ANN

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1cqGRYjTD8D5VRektwaWjZOaRwKEXQpyR
"""



import pandas as pd
import numpy as np
import csv
from keras.utils import np_utils
from keras.layers import Input, Dense, Dropout
from keras.models import Model

num_classes = 3

inp = Input(shape=(3,))
hidden_1 = Dense(1024, activation='relu')(inp)
dropout_1 = Dropout(0.2)(hidden_1)
out = Dense(num_classes, activation='softmax')(hidden_1) 
model = Model(input=inp, output=out)
test_db  = pd.read_csv("test_all.csv")

model.load_weights('ANNWeights.h5')

print('Model built and load weights')

model.compile(loss='binary_crossentropy', 
              optimizer='adam',
              metrics=['accuracy']) 


x_test = test_db.iloc[:, 1:4].values

y_test= model.predict(np.array(x_test), batch_size=32, verbose=0, steps=None)
y_test = y_test.astype(int)
result=[]
for y in y_test:
  if (y[1] > y[2]):
    result.append(1)
  else:
    result.append(2)    

ResulteFile = 'classificationresult.csv'
with open( ResulteFile ,'w') as f:   
  wr = csv.writer(f)
  wr.writerows(zip(result))


